### Method

# Gimp Vectors stroke_scale

since: 2.4

#### Declaration [src]

    gboolean
    gimp_vectors_stroke_scale (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble scale_x,
      gdouble scale_y
    )

#### Description [src]

Scales the given stroke.

Scale the given stroke.

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`scale_x`

  Type: `gdouble`

  Scale factor in x direction.

`scale_y`

  Type: `gdouble`

  Scale factor in y direction.

#### Return value

Type: `gboolean`

TRUE on success.